
#ifndef CDRECORD_H
#define CDRECORD_H

#include "Process.h"

class Cdrecord: public Process
{
	struct
	{
		int key, code, qual;
		char *str;
	} results[256];
	int lastCommand, lastError, key, code, qual;
	int cannotReadTOC, cannotReadSessionOffset;
	int fixating;
public:
	Cdrecord(const char *outName = NULL);
	~Cdrecord();
	const char *getLastError();
	int isBlankDisk();
	int isInProcessOfBecomingReady();
	int isMediumNotPresent();
	const char *readLine();
};

#endif

